slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVCopyVec

Copies one of the columns of a basis vectors object into a Vec.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCopyVec(BV V,PetscInt j,Vec w)

Logically Collective

### Input Parameters

| V | - basis vectors context
| j | - the column number to be copied

### Output Parameter

| w | - the copied column

### Note

Both V and w must be distributed in the same manner; local copies are done.

### See Also

BVCopy(), BVCopyColumn(), BVInsertVec()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages